# 2025-06-12: Order Service - calculatedPrice has been enriched

## Overview

The `calculatedPrice` of Order Service has been enriched with new fields:

* `totalDiscounts` has a new `price` field that contains all price details
* `appliedDiscounts` has a new `price` field that contains all price details

The `calculatedPrice` or cart level has new fields

* `shipping` price before discounts
* `fees` price before discounts

## Updated endpoints

| Endpoint                                                                                                                                                                             | Description                                                                             |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------- |
| [Creating a new order as employee](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-tenant-managed#post-order-v2-tenant-salesorders)         | The `calculatedPrice` attribute has been enriched in order and order entries.           |
| [Creating a new order as customer](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-customer-managed#post-order-v2-tenant-orders)            | The `calculatedPrice` attribute has been enriched in order and order entries.           |
| [Retrieving order details](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-customer-managed#get-order-v2-tenant-orders-orderid)             | The `calculatedPrice` attribute has been enriched in order and order entries responses. |
| [Retrieving a specific order by ID](https://developer.emporix.io/api-references/api-guides/orders/order/api-reference/orders-tenant-managed#get-order-v2-tenant-salesorders-orderid) | The `calculatedPrice` attribute has been enriched in order and order entries responses. |

## Known problems

There are no known problems.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.emporix.io/changelog/archive/changelog-2025/2025-06-12-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
